class Tree {
    constructor(x, y, scene) {
        this.lNode = [];
        this.scene = scene;
        this.head = this.scene.add.image(x, y, 'logoWaria').setOrigin(0.5, 0.5);
        this.head.displayHeight = HEIGHT_WINDOW / 4;
        this.head.scaleX = this.head.scaleY;
    }

    addNode(node) {
        this.lNode.push(node);
        node.addLine(this.head.x, this.head.y + this.head.displayHeight / 2.2);
        let rect = this.scene.add.existing(node.rect);
        rect.setInteractive();
        this.scene.input.setDraggable(rect);
    }

    updateLines() {
        this.lNode.forEach(node => node.updateLine());
    }
}